Pikseli
GET https://qrcodemonkey.net/api/pixels/
curl --request GET \
--url 'https://qrcodemonkey.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Vigezo | Maelezo | Maelezo |
|---|---|---|
| search | Hiari Uzi | Utafutaji wa kamba. |
| search_by | Hiari Uzi | Unatafuta katika uwanja gani. Thamani zilizoruhusiwa ni: name , pixel. |
| type | Hiari Uzi | Thamani zilizoruhusiwa: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| order_by | Hiari Uzi | Ni uwanja upi wa kuagiza matokeo kwa. Thamani zilizoruhusiwa ni: pixel_id , datetime , last_datetime , name. |
| order_type | Hiari Uzi | Utaratibu wa matokeo. Thamani zilizoruhusiwa ni: ASC kwa utaratibu unaopanda, na DESC kwa utaratibu unaoshuka. |
| page | Hiari Integer | Ukurasa wa nambari unayotaka matokeo kutoka. Chaguo-msingi ni 1. |
| results_per_page | Hiari Integer | Unataka matokeo mangapi kwa kila ukurasa. Thamani zilizoruhusiwa ni: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Chaguo-msingi ni 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-03-31 23:44:49",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/pixels?page=1",
"last": "https://qrcodemonkey.net/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/pixels?page=1"
}
}
GET https://qrcodemonkey.net/api/pixels/{pixel_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-03-31 23:44:49",
}
}
POST https://qrcodemonkey.net/api/pixels
| Vigezo | Maelezo | Maelezo |
|---|---|---|
| type | Inahitajika Uzi | Thamani zilizoruhusiwa: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | Inahitajika Uzi | - |
| pixel | Inahitajika Uzi | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://qrcodemonkey.net/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/pixels/{pixel_id}
| Vigezo | Maelezo | Maelezo |
|---|---|---|
| type | Hiari Uzi | Thamani zilizoruhusiwa: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat |
| name | Hiari Uzi | - |
| pixel | Hiari Uzi | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \